"use strict";
this.name        = "ecl_escape_pod_beacon"; 
this.author      = "capt murphy"; 
this.copyright   = "2011 capt murphy";
this.licence     = "CC BY-NC-SA 3.0"; // see http://creativecommons.org/licenses/by-nc-sa/3.0/ for more info.
this.description = "Shipscript for escape pod beacons."; 
this.version     = "1.4.1";


this.shipSpawned = function() // sets up timer on spawning of a new beacon
{
this.ecl_beaconcontrolTimer = new Timer (this, this.ecl_beaconcontrol,0.25,0.25);	
}

this.ecl_beaconcontrol = function() // called by timer every 0.25 seconds.
{
    if (this.ship.target) // should be the associated escape pod - set by escapepodlocator.js
	{
	this.ship.position = this.ship.target.position.add(this.ship.target.vectorUp.multiply(25)); // teleports beacon to a point 25m 'above' escape pod.
	this.ship.velocity = Vector3D(0,0,0); // nulls velocity (in case something has collided with beacon)
	if (!this.ship.target.scannerDisplayColor2) // check in case pod scanner colours have been cleared by other OXP.
	{
		this.ship.target.scannerDisplayColor1 = "whiteColor";
		this.ship.target.scannerDisplayColor2 = "greenColor";
	}
	}
}

this.shipTargetLost = function(target) // removes beacon when associated escape pod ceases to be valid.
{
	if (target && target.isValid) // reinstates target if shipTargetLost is fired when being scooped and pod is still a valid entity.
	{this.ship.target = target;}
	else
	{this.ship.remove(true);
	player.consoleMessage("Escape Pod distress signal lost.",5);}
}

this.shipDied = function() // replaces beacon if accidently destroyed when associated escape pod still exists.
{
 if (this.ship.target)
 {
  var beacon = system.addShips("ecl_escape_pod_beacon",1,this.ship.target.position,50);
  if (beacon.length > 0)
	{
		beacon[0].target = this.ship.target;
		beacon[0].position = beacon[0].target.position.add(beacon[0].target.vectorUp.multiply(25));
	}
 }
}
 
this.shipRemoved = this.entityDestroyed = function() // tidies up timer if beacon is no longer valid.
{
  if (this.ecl_beaconcontrolTimer && this.ecl_beaconcontrolTimer.isRunning)
  {
	this.ecl_beaconcontrolTimer.stop();
	delete this.ecl_beaconcontrolTimer;
  }
}