"use strict";
this.name        = "ecl_SAR_worldscript.js"; 
this.author      = "capt murphy"; 
this.copyright   = " 2012 capt murphy";
this.licence     = "CC BY-NC-SA 3.0"; // see http://creativecommons.org/licenses/by-nc-sa/3.0/ for more info.
this.description = "worldcript to spawn escape capsule locator compatible search and rescue ships."; 
this.version     = "1.4.1";

this.shipWillExitWitchspace = this.shipWillLaunchFromStation = function() // populates system with search and rescue ships
{
 if (system.isInterstellarSpace || system.countShipsWithPrimaryRole("ecl_SAR_ship") > 0 || system.countShipsWithPrimaryRole("ecl_SAR_ship_OXP") > 0) // populator will not run if system already contains at least 1 search and rescue ship or is interstellar space.
 {return;}
 var numbertospawn = Math.round(Math.random() * (system.government+1)); // between 0 and 8 rescue ships depending on system government and random factor. 
 var rolestring;
 if (numbertospawn > 0)
 {
    var testspawnOXProle = system.addShipsToRoute("ecl_SAR_ship_OXP",1,Math.random(),"wp"); // check if possible to spawn ship with this role (currently the Cobra Clipper if that OXP is installed).
	if (!testspawnOXProle) // if not just spawn standard role (Moray Med)
	{
	  while(numbertospawn > 0)
	  {
		system.addShipsToRoute("ecl_SAR_ship",1,Math.random(),"wp");
		numbertospawn--;
	  }
	}
	else // otherwise spawn a random mix of Cobra Clipper and Moray MED.
	{
		numbertospawn --;
		while(numbertospawn > 0)
		{
		 if (Math.random() < 0.667)
		 {rolestring = "ecl_SAR_ship";}
		 else {rolestring = "ecl_SAR_ship_OXP";}
		 system.addShipsToRoute(rolestring,1,Math.random(),"wp");
		 numbertospawn--;
		}
		 
	}
 }
}	
// removes any Cobra Clipper SAR ships spawned by CobraClipper OXP.
this.shipSpawned = function(ship)
{
	if (ship.primaryRole === "clipper-rescueship")
	{ship.remove(true);}
}